IO18139: MIGRATION OF SYSTEMSTORE DB IS INCOMPLETE

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as documentation error.

Error description

  • Migration of SystemStore DB is incomplete
    
    The InfoCenter implies that Derby DB needs to be migrated for
    migration
    to 7.1.1.  The CSMigration tool is ONLY to be used when
    migrating
    Cloudscape 5.1 to Derby 10.
    
    
    Steps to Duplicate:  n/a
    
    Desired Behavior: Successful migration
    
    Environment:  TDI 6.1.1 to 7.1.1
    
    Changes to make:
    
    1.Derby needs to be removed from this sentence
    
    You will need to migrate your existing Cloudscape or Derby
    databases
    
    2. This statement is incomplete.
    It should list what needs to be changed in solution/global
    properties.
    
    Besides migration of data, you also need to modify your
    global.properties / solution.properties files (using the
    migration tool
    or manually) to incorporate the new JDBC URL parameters.
    
    
    3.  This section is too wordy.
    
    Fortunately, the Derby team have provided a migration utility
    that
    migrates a Cloudscape v5.1 database to a new Derby v10 database.
    It
    migrates all the tables and their corresponding data into a
    newly
    generated Derby v10 database. It modifies all tables with
    varbinary
    datatype to BLOB datatype, hence making the migration process
    quite
    painless.
    
    This utility is bundled with Tivoli Directory Integrator 7.1.1,
    in the
    TDI_install_dir/tools/CSMigration folder, along with a wrapper
    script
    that invokes the migration tool, called migrateCS.bat(sh). To
    migrate a
    Cloudscape 5.1 System Store Database created using TDI v6.0 to
    Derby
    v10, you have to invoke the migrate script in the following
    manner:
    
    
    An example to replace:
    
    A utility is bundled with Tivoli Directory Integrator 7.1.1 in
    the
    TDI_install_dir/tools/CSMigration folder called
    migrateCS.bat(sh).
    
    To migrate a Cloudscape 5.1 System Store Database invoke the
    script in
    the following manner:
    
    4.  Need to add information concerning when a migration is not
    needed
    and also what is needed for Derby definition with an older
    driver.
    
    For example, in 6.1.1, if the solution.properties has defined
    the
    systemstore with the following table create statement....
    Or if the
    
    com.ibm.di.store.jdbc.driver=org.apache.derby.jdbc.ClientDriver
    
    Then do .... what ???
    
    We list a table of JDBC drivers, but we do not specify what
    changes
    should be made.
    

Local fix

  • 1805
    

Problem summary

  • The info center documentation for migrating system stores is
    incomplete and needs to be modified.
    
    The  info center mentions that  a utility is provided for
    migrating system store database. This utility is to be used only
    for migrating from Cloudscape 5.1 to Derby 10 only.
    This  means the
    TDI_install_dir/tools/CSMigration/migrateCS.bat(sh) file is to
    be used for   migrating System store database from TDI 6.0 to
    TDI 6.1.1 and TDI 7.x.
    
    For migrating system store from TDI 6.1.1 to TDI 7.x one needs
    to simply copy the old TDISysStore found in the TDI 611
    Installation directory to the new TDI 711 new installation
    directory.
    

Problem conclusion

  • This is a problem with the documentation and will be fixed in
    the next release.
    

Temporary fix

Comments

APAR Information

  • APAR number

    IO18139

  • Reported component name

    ITDI MULTIPLATF

  • Reported component ID

    5724D9960

  • Reported release

    710

  • Status

    CLOSED DOC

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2013-02-13

  • Closed date

    2013-04-03

  • Last modified date

    2013-04-03

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

Applicable component levels



Rate this page:

(0 users)Average rating

Document information


More support for:

IBM Security Directory Integrator
General

Software version:

710

Reference #:

IO18139

Modified date:

2013-04-03

Translate my page

Machine Translation

Content navigation